Subject: Re: linux-next: build failure after merge of the drm tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 4 Oct 2022 14:05:58 +1100

Hi Dave,

On Tue, 4 Oct 2022 12:24:37 +1000 David Airlie <[email-masked]> wrote:
>
> On Tue, Oct 4, 2022 at 12:21 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > On Fri, 30 Sep 2022 11:54:34 +0100 [email-masked] wrote:  
> > >
> > > After merging the drm tree, today's linux-next build (x86_64
> > > allmodconfig) failed like this:
> > >
> > > /tmp/next/build/drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_stream.c: In function 'dc_stream_remove_writeback':
> > > /tmp/next/build/drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_stream.c:527:55: error: array subscript [0, 0] is outside array bounds of 'struct dc_writeback_info[1]' [-Werror=array-bounds]
> > >   527 |     stream->writeback_info[j] = stream->writeback_info[i];
> > >       |                                 ~~~~~~~~~~~~~~~~~~~~~~^~~
> > > cc1: all warnings being treated as errors
> > >
> > > Caused by
> > >
> > >     5d8c3e836fc224 ("drm/amd/display: fix array-bounds error in dc_stream_remove_writeback()")
> > >
> > > I have reverted that commit for today.  
> >
> > I am still getting this failure.  The full error is:
> >
> > drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_stream.c: In function 'dc_stream_remove_writeback':
> > drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_stream.c:527:83: error: array subscript [0, 0] is outside array bounds of 'struct dc_writeback_info[1]' [-Werror=array-bounds]
> >   527 |                                 stream->writeback_info[j] = stream->writeback_info[i];
> >       |                                                             ~~~~~~~~~~~~~~~~~~~~~~^~~
> > In file included from drivers/gpu/drm/amd/amdgpu/../display/dc/dc.h:1269,
> >                  from drivers/gpu/drm/amd/amdgpu/../display/dc/inc/core_types.h:29,
> >                  from drivers/gpu/drm/amd/amdgpu/../display/dc/basics/dc_common.h:29,
> >                  from drivers/gpu/drm/amd/amdgpu/../display/dc/core/dc_stream.c:27:
> > drivers/gpu/drm/amd/amdgpu/../display/dc/dc_stream.h:241:34: note: while referencing 'writeback_info'
> >   241 |         struct dc_writeback_info writeback_info[MAX_DWB_PIPES];
> >       |                                  ^~~~~~~~~~~~~~  
> 
> I'm not seeing it here, what gcc is this with?

I am using an x86_64 cross compiler hosted on ppc64le - gcc v11.2.0 (on
Debian).

-- 
Cheers,
Stephen Rothwell